# Read the Docs configuration file for Sphinx projects
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

# Required now, uses latest Python that works, and latest stable Ubuntu
build:
   os: ubuntu-22.04
   tools:
     python: "3.11"


# Build documentation in the "source/" directory with Sphinx
sphinx:
  configuration: Inkscape-Beginners-Guide/source/conf.py
  # You can configure Sphinx to use a different builder, for instance use the dirhtml builder for simpler URLs
  # builder: "dirhtml"
  # Fail on all warnings to avoid broken references
  # fail_on_warning: true

# Optionally build your docs in additional formats such as PDF and ePub
formats: all


# Optional but recommended, declare the Python requirements required
# to build your documentation
# See https://docs.readthedocs.io/en/stable/guides/reproducible-builds.html

python:
  install:
    - requirements: Inkscape-Beginners-Guide/requirements.txt